.\"	$NetBSD: onewire.4,v 1.2 2006/04/08 23:10:03 wiz Exp $
.\"	$OpenBSD: onewire.4,v 1.2 2006/03/06 10:24:46 grange Exp $
.\"
.\" Copyright (c) 2006 Alexander Yurchenko <grange@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd April 4, 2006
.Dt ONEWIRE 4
.Os
.Sh NAME
.Nm onewire
.Nd 1-Wire bus
.Sh SYNOPSIS
.Cd "onewire* at gpioow?"
.Pp
.Cd "option ONEWIREVERBOSE"
.Sh DESCRIPTION
1-Wire bus was originally developed by Dallas Semiconductor for connecting
integrated circuits.
It is commonly used for connecting devices such as electronic keys, EEPROMs,
temperature sensors, real-time clocks, security chips, etc.
.Pp
The
.Nm
driver provides a uniform programming interface layer between
1-Wire master controllers and various 1-Wire slave devices.
Each 1-Wire master controller attaches a
.Nm
framework; several slave devices can then be attached to the
.Nm
bus.
.Pp
The driver supports plugging and unplugging slave devices on the fly.
.Sh SUPPORTED MASTERS
.Bl -tag -width 10n -offset ind -compact
.It Xr gpioow 4
1-Wire bus bit-banging through GPIO pin
.El
.Sh SUPPORTED SLAVES
.Bl -tag -width 10n -offset ind -compact
.\".It Xr owid 4
.\"ID family type device
.It Xr owtemp 4
temperature family type device
.El
.Sh SEE ALSO
.Xr intro 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 4.0
and
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Alexander Yurchenko Aq grange@openbsd.org
and ported to
.Nx
by
.An Jeff Rizzo Aq riz@NetBSD.org .
